Index: /trunk/server/fedora/config/etc/scripts/prune-mailq
===================================================================
--- /trunk/server/fedora/config/etc/scripts/prune-mailq	(revision 2424)
+++ /trunk/server/fedora/config/etc/scripts/prune-mailq	(revision 2425)
@@ -83,6 +83,10 @@
 
 op=${1:-}
-shift
-case $op in
+
+# We want to go ahead and show the usage message if there are no args, so
+# don't let the shift fail and end the script because of "set -e"
+shift || :
+
+case "$op" in
     list) list;;
     show-rand) show_rand;;
